'/*-------------------------------------------------------------------- *
'*                                                                      *
'*   3333   CCCC      CCCC  OOOO  N     N  CCCC  EEEEE  PPPP  TTTTTTT   *
'*       3 C         C     O    O NN    N C      E      P   P    T      *
'*       3 C         C     O    O N N   N C      E      P   P    T      *
'*   3333  C         C     O    O N  N  N C      EEEE   PPPP     T      *
'*       3 C         C     O    O N   N N C      E      P        T      *
'*       3 C         C     O    O N    NN C      E      P        T      *
'*   3333   CCCC      CCCC  OOOO  N     N  CCCC  EEEEE  P        T      *
'*                                                                      *
'*     UNITE D'INTERFACE POUR DLL/Win32 Module TC/USB-48IO              *
'*                                                                      *
'*  Wrapper VB.NET pour utilsation du module TCUSB48IO                  *
'*  Microsoft Visual Basic 2010 Express                                 *
'*                                                                      *    
'*                                                                      *
'* (c)2014 3C CONCEPT S.A.S                							    *	
'*  V1.00 : DB : 03/11/2014 :creation version VB.NET					*
'* -------------------------------------------------------------------- *
'*/

Imports System.Runtime.InteropServices

Module TCUSB48IO

    '/***********************************************************************************************************************************************\
    '   *********************************************************** OPERATIONS DE BASE ******************************************************************
    '  \***********************************************************************************************************************************************/
    <DllImport("TCUSB48IO.dll", CharSet:=CharSet.Ansi, CallingConvention:=CallingConvention.StdCall, SetLastError:=True, ExactSpelling:=True)> _
    Public Function TCUSB48IO_Refresh(NModule As Integer) As Integer
    End Function
    <DllImport("TCUSB48IO.dll", CharSet:=CharSet.Ansi, CallingConvention:=CallingConvention.StdCall, SetLastError:=True, ExactSpelling:=True)> _
    Public Function TCUSB48IO_OpenN(NModule As Integer, ByRef NumSerie As UInt32) As Integer
    End Function
    <DllImport("TCUSB48IO.dll", CharSet:=CharSet.Ansi, CallingConvention:=CallingConvention.StdCall, SetLastError:=True, ExactSpelling:=True)> _
    Public Function TCUSB48IO_Close(NModule As Integer) As Integer
    End Function
    <DllImport("TCUSB48IO.dll", CharSet:=CharSet.Ansi, CallingConvention:=CallingConvention.StdCall, SetLastError:=True, ExactSpelling:=True)> _
    Public Function TCUSB48IO_Input(NModule As Integer, ByRef Data As UInt32) As Integer
    End Function
    <DllImport("TCUSB48IO.dll", CharSet:=CharSet.Ansi, CallingConvention:=CallingConvention.StdCall, SetLastError:=True, ExactSpelling:=True)> _
    Public Function TCUSB48IO_Output(NModule As Integer, Data As UInt16) As Integer
    End Function

    ' /***********************************************************************************************************************************************\
    '*********************************************************** OPERATIONS SUR BITS *****************************************************************
    '\***********************************************************************************************************************************************/
    <DllImport("TCUSB48IO.dll", CharSet:=CharSet.Ansi, CallingConvention:=CallingConvention.StdCall, SetLastError:=True, ExactSpelling:=True)> _
    Public Function TCUSB48IO_BitInput(NModule As Integer, Entree As Integer) As Integer
    End Function
    <DllImport("TCUSB48IO.dll", CharSet:=CharSet.Ansi, CallingConvention:=CallingConvention.StdCall, SetLastError:=True, ExactSpelling:=True)> _
    Public Sub TCUSB48IO_BitOutput(NModule As Integer, Sortie As Integer, etat As Integer)
    End Sub
    <DllImport("TCUSB48IO.dll", CharSet:=CharSet.Ansi, CallingConvention:=CallingConvention.StdCall, SetLastError:=True, ExactSpelling:=True)> _
    Public Function TCUSB48IO_BitReadBack(NModule As Integer, Sortie As Integer) As Integer
    End Function
    <DllImport("TCUSB48IO.dll", CharSet:=CharSet.Ansi, CallingConvention:=CallingConvention.StdCall, SetLastError:=True, ExactSpelling:=True)> _
    Public Function TCUSB48IO_Counter(NModule As Integer, Entree As Integer, ByRef Data As Byte) As Integer
    End Function
    <DllImport("TCUSB48IO.dll", CharSet:=CharSet.Ansi, CallingConvention:=CallingConvention.StdCall, SetLastError:=True, ExactSpelling:=True)> _
    Public Function TCUSB48IO_WdgRun(NModule As Integer) As Integer
    End Function
    <DllImport("TCUSB48IO.dll", CharSet:=CharSet.Ansi, CallingConvention:=CallingConvention.StdCall, SetLastError:=True, ExactSpelling:=True)> _
    Public Sub TCUSB48IO_WdgStop(NModule As Integer)
    End Sub
    <DllImport("TCUSB48IO.dll", CharSet:=CharSet.Ansi, CallingConvention:=CallingConvention.StdCall, SetLastError:=True, ExactSpelling:=True)> _
    Public Sub TCUSB48IO_WdgRearm(NModule As Integer)
    End Sub
    <DllImport("TCUSB48IO.dll", CharSet:=CharSet.Ansi, CallingConvention:=CallingConvention.StdCall, SetLastError:=True, ExactSpelling:=True)> _
    Public Sub TCUSB48IO_ResetPort(NModule As Integer)
    End Sub
    <DllImport("TCUSB48IO.dll", CharSet:=CharSet.Ansi, CallingConvention:=CallingConvention.StdCall, SetLastError:=True, ExactSpelling:=True)> _
    Public Sub TCUSB48IO_CyclePort(NModule As Integer)
    End Sub
End Module
